'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ModalHeader = function (_Component) {
    (0, _inherits3.default)(ModalHeader, _Component);

    function ModalHeader(props) {
        (0, _classCallCheck3.default)(this, ModalHeader);

        // warn if something is wrong with props
        var _this = (0, _possibleConstructorReturn3.default)(this, (ModalHeader.__proto__ || (0, _getPrototypeOf2.default)(ModalHeader)).call(this, props));

        _this.onCancel = function (e) {
            /* istanbul ignore else */
            if (e && e.preventDefault) {
                e.preventDefault();
            }

            if (!_this.props.isStatic) {
                if (_this.props.onCancel) {
                    _this.props.onCancel(e, null);
                }
            }
        };

        if (props.addClose && !props.onCancel) {
            console.warn(ModalHeader.displayName + ': addClose is defined but onCancel is missing!');
        }
        return _this;
    }

    (0, _createClass3.default)(ModalHeader, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                children = _props.children,
                addClose = _props.addClose,
                className = _props.className;


            if (typeof children !== 'string') {
                return children;
            }

            var closeBtn = addClose ? _react2.default.createElement(
                'button',
                { className: 'close', 'aria-label': 'Close', onClick: this.onCancel },
                _react2.default.createElement(
                    'span',
                    { 'aria-hidden': 'true' },
                    '\xD7'
                )
            ) : null;

            return _react2.default.createElement(
                'div',
                { className: className },
                _react2.default.createElement(
                    'h1',
                    { className: 'modal-title' },
                    children
                ),
                closeBtn
            );
        }
    }]);
    return ModalHeader;
}(_react.Component);

ModalHeader.displayName = 'Modal.Header';
ModalHeader.propTypes = {
    children: _propTypes2.default.node,
    className: _propTypes2.default.string,
    isStatic: _propTypes2.default.bool,
    addClose: _propTypes2.default.bool,
    onCancel: _propTypes2.default.func
};
ModalHeader.defaultProps = {
    className: 'modal-header',
    addClose: true
};
exports.default = ModalHeader;